cURL
curl --request GET \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"type": "ACCESS",
"status": "RECEIVED",
"subjectEmail": "<string>",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"requestedAt": "<string>",
"verifiedAt": "<string>",
"dueAt": "<string>",
"completedAt": "<string>",
"processedBy": "<string>",
"response": {},
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}API Reference
Get orgs compliancedsars 1
GET
/
orgs
/
{orgId}
/
compliance
/
dsars
/
{dsarId}
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Response
200 - application/json
OK
A data subject access request record
Unique DSAR identifier
Organization identifier
Type of data subject request
Available options:
ACCESS, DELETE, RECTIFY, PORTABILITY, RESTRICT Current status of the data subject request
Available options:
RECEIVED, VERIFIED, IN_PROGRESS, COMPLETED, DENIED, OVERDUE Email of the data subject
Name of the data subject
Identifier of the data subject
Request description
ISO 8601 request timestamp
ISO 8601 verification timestamp
ISO 8601 due date
ISO 8601 completion timestamp
User who processed the request
Response data
Show child attributes
Show child attributes
Additional metadata
Show child attributes
Show child attributes
ISO 8601 creation timestamp
ISO 8601 last update timestamp
